<?php
$budgetHTEnabled = $this->module()->getClientModuleConfiguration('budget', 'ht');
?>

	<ul class="breadcrumb">
		<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
		<li>
			<a href="<?= $this->url('convention') ?>"><?= $this->translate('convention_module_title') ?></a>
		</li>
		<li class="active"><?= $this->translate('convention_nav_list') ?></li>
	</ul>

	<h1 class="page-title">
		<?= $this->icon('convention') ?> <?= $this->translate('convention_module_title') ?>
	</h1>

	<div class="row row-padding">
		<div class="col-xs-12">
			<div
				class="panel"
				ng-controller="conventionListController as self"
				ng-init="self.init(<?= str_replace('"', '\'', json_encode($this->expenseTypes())) ?>)"
			>
				<table-builder options="self.options" items="self.conventions" class="table-builder">
					<div class="panel-heading">
						<?= $this->translate('convention_nav_list') ?>
						<div class="panel-heading-right">
							<div
								class="panel-heading-actions"
								tooltip="<?= $this->translate('tooltip_remove_from_list') ?>"
							>
								<?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
							</div>
							<div
								class="panel-heading-actions"
								tooltip="<?= $this->translate('tooltip_export_xls') ?>"
							>
								<?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
							</div>
							<div
								class="panel-heading-actions"
								tooltip="<?= $this->translate('tooltip_refresh') ?>"
							>
								<?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
							</div>
						</div>
					</div>
					<div class="panel-body">
						<div class="row">
							<div class="col-sm-4">
								<div class="table-filters little-panel">
									<div class="title table-filters-header">
										<div class="input-group">
											<div
												class="input-group-addon pointer"
												data-toggle="collapse"
												href="#filters-collapsed-conv"
											>
												<?= $this->icon('filters', 'fa-fw') ?>
												<span class="caret"></span>
											</div>
											<input
												type="text"
												placeholder="<?= $this->translate('search', null, null, false) ?>"
												class="form-control"
												ng-model="self.fullText"
												id="full-text"
												on-enter="self.fullTextSearch()"
											/>
											<div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
												<?= $this->icon('search', 'fa-fw') ?>
											</div>
										</div>
									</div>
									<div id="filters-collapsed-conv" class="body collapse">
										<?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->conventionFilters()); ?>
										<div class="row">
											<div class="col-xs-6">
												<button
													class="btn"
													ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"
												><?= $this->translate('table_filter_reset_button') ?></button>
											</div>
											<div class="col-xs-6 text-right">
												<button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
													<?= $this->icon('search', 'fa-fw') ?>
													<?= $this->translate('table_filter_button') ?>
												</button>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="col-sm-4">
								<table-builder-columns></table-builder-columns>
							</div>
							<?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
								<div class="col-sm-4">
									<table-builder-queries></table-builder-queries>
								</div>
							<?php endif; ?>
						</div>
						<div class="row">
							<div class="col-xs-12">
                                <div class="btn-group" >
                                    <button class="btn btn-xs" ng-if="self.isOneSelected()" ng-click="self.duplicateSelection()" type="button" tooltip="<?= $this->translate('tooltip_copy_selected') ?>">
                                        <?= $this->icon('duplicate') ?>
                                    </button>
                                </div>
								<form name="conventionForm">
									<table
										table-builder-table
										class="table table-bordered table-condensed table-hover"
									>
										<thead>
											<tr>
												<th tb-column tb-name="selection" class="checkbox-column">
													<input type="checkbox" ng-model="__tb.selection" /></th>
                                                <th
                                                        tb-column
                                                        tb-name="id"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_id') ?></th>
												<th
													tb-column
													tb-name="name"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_name') ?></th>
												<th
													tb-column
													tb-name="number"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_number') ?></th>
												<th
													tb-column
													tb-name="numberArr"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_numberArr') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="contractor.id"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_contractor_id') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="contractor.name"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_contractor') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="project.id"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_project_id') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="project.name"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_project') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="territories"
                                                        tb-sortable="false"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_territories') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="description"
                                                        tb-sortable="true"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_description') ?></th>
												<th
													tb-column
													tb-name="start"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_start') ?></th>
												<th
													tb-column
													tb-name="end"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_end') ?></th>
                                                <th
                                                        tb-column
                                                        tb-name="members"
                                                        tb-sortable="false"
                                                        tb-toggle="true"
                                                ><?= $this->translate('convention_field_members') ?></th>
												<th
													tb-column
													tb-name="decisionDate"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_decisionDate') ?></th>
												<th
													tb-column
													tb-name="notificationDate"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_notificationDate') ?></th>
												<th
													tb-column
													tb-name="returnDate"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_returnDate') ?></th>
												<?php if ($this->module()->isActive('keyword')) {
													foreach ($this->groups as $group) {
														echo '<th tb-column tb-name="keyword' . $group->getId() . '" tb-sortable="false" tb-toggle="true">' . $group->getName() . '</th>';
													}
												} ?>
												<th
													tb-column
													tb-name="progress"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_progress') ?></th>
												<th
													tb-column
													tb-name="amount"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_amount') ?></th>
												<th
													tb-column
													tb-name="amountSubv"
													tb-sortable="true"
													tb-toggle="true"
												><?= $this->translate('convention_field_amountSubv') ?></th>
												<th
													tb-column
													tb-name="partTotalProjects"
													tb-sortable="false"
													tb-toggle="true"
												><?= $this->translate('convention_synthese_part_amount_projects') ?></th>
												<th
													tb-column
													tb-name="timeSpent"
													tb-sortable="false"
													tb-toggle="true"
												><?= $this->translate('convention_synthese_time_spent') ?></th>
												<th
													tb-column
													tb-name="autofinancement"
													tb-sortable="false"
													tb-toggle="true"
												><?= $this->translate('convention_synthese_autofinancement') ?></th>

												<?php foreach ($this->expenseTypes() as $type): ?>
													<th
														tb-column
														tb-name="amountExpense<?= ucfirst($type) ?>"
														tb-sortable="false"
														tb-toggle="true"
													>
														<?= $this->translate('expense_type_' . $type) ?>
													</th>

													<?php if ($budgetHTEnabled): ?>
														<th
															tb-column
															tb-name="amountHTExpense<?= ucfirst($type) ?>"
															tb-sortable="false"
															tb-toggle="true"
														>
															<?= $this->translate('expense_type_' . $type . '_ht') ?>
														</th>
													<?php endif ?>
												<?php endforeach ?>
												
												<th
													tb-column
													tb-name="createdAt"
													tb-sortable="true"
													tb-toggle="true"
													tb-hidden="true"
												><?= $this->translate('convention_field_createdAt') ?></th>
												<th
													tb-column
													tb-name="updatedAt"
													tb-sortable="true"
													tb-toggle="true"
													tb-hidden="true"
												><?= $this->translate('convention_field_updatedAt') ?></th>
												<th tb-column tb-name="actions" class="actions-column"></th>
											</tr>
										</thead>
										<tbody>
											<tr
												ng-repeat="convention in self.conventions"
												ng-class="{editing: self.editedLine == convention, footer: convention.id == 'total'}"
											>
												<td><input type="checkbox" ng-model="convention.selected" /></td>
												<td>{{convention.id}}</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														<a
															ng-if="convention._rights.read"
															href="<?= $this->url('convention/form') ?>/{{convention.id}}"
														>{{convention.name}}</a>
														<span ng-if="!convention._rights.read">{{convention.name}}</span>

														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															class="form-control input-sm"
															ng-model="self.editedLineFields.name"
															required
														/>
														<field-errors
															field="name"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.number}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															class="form-control input-sm"
															ng-model="self.editedLineFields.number"
														/>
														<field-errors
															field="number"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.numberArr}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															class="form-control input-sm"
															ng-model="self.editedLineFields.numberArr"
														/>
														<field-errors
															field="numberArr"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														<?php if ($this->acl()->isAllowed('directory:e:structure:r')) : ?>
                                                            <a href="<?= $this->url('directory/structure/form') ?>/{{convention.contractor.id}}">{{convention.contractor.id}}</a>
                                                        <?php else : ?>
                                                            {{convention.contractor.id}}
                                                        <?php endif; ?>
                                                        <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
                                                    <span ng-if="self.editedLine == convention">
														<structure-select
                                                                name="contractor" ng-model="self.editedLineFields.contractor"
                                                                required="false" form="conventionForm"
                                                        ></structure-select>
														<field-errors
                                                                field="contractor"
                                                                errors="self.errors.fields"
                                                        ></field-errors>
													</span>
                                                </td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														<?php if ($this->acl()->isAllowed('directory:e:structure:r')) : ?>
                                                            <a href="<?= $this->url('directory/structure/form') ?>/{{convention.contractor.id}}">{{convention.contractor.name}}</a>
                                                        <?php else : ?>
                                                            {{convention.contractor.name}}
                                                        <?php endif; ?>
                                                        <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
                                                    <span ng-if="self.editedLine == convention">
														<structure-select
                                                                name="contractor" ng-model="self.editedLineFields.contractor"
                                                                required="false" form="conventionForm"
                                                        ></structure-select>
														<field-errors
                                                                field="contractor"
                                                                errors="self.errors.fields"
                                                        ></field-errors>
													</span>
                                                </td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														<span ng-repeat="project in convention.lines">
																<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
                                                                    <a href="<?= $this->url('project/form') ?>/{{project.project.id}}">{{project.project.id}}</a>
                                                                <?php else : ?>
                                                                    {{project.project.id}}
                                                                <?php endif; ?>

															</span>
													</span>
                                                </td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														<span ng-repeat="project in convention.lines">
																<?php if ($this->acl()->isAllowed('project:e:project:r')) : ?>
                                                                    <a href="<?= $this->url('project/form') ?>/{{project.project.id}}">{{project.project.name}}</a>
                                                                <?php else : ?>
                                                                    {{project.project.name}}

                                                                <?php endif; ?>

															</span>
                                                        <span ng-if="self.editedLine == convention">
														<project-select
                                                                name="contractor" ng-model="self.editedLineFields.project"
                                                                required="false" form="conventionForm"
                                                        ></project-select>
														<field-errors
                                                                field="project"
                                                                errors="self.errors.fields"
                                                        ></field-errors>
													</span>
													</span>
                                                </td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														<span ng-repeat="territory in convention.territories">
                                                            {{territory.name}}
                                                        </span>
													</span>
                                                </td>
                                                <td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.description}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
                                                    <span ng-if="self.editedLine == convention">
														<input
                                                                type="text"
                                                                class="form-control input-sm"
                                                                ng-model="self.editedLineFields.description"
                                                        />
														<field-errors
                                                                field="description"
                                                                errors="self.editedLineErrors"
                                                        ></field-errors>
													</span>
                                                </td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.start | dateFormat : 'DD/MM/YYYY'}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="start"
															class="form-control input-sm"
															autocomplete="off"
															input-mask="qdate"
															ng-model="self.editedLineFields.start"
														/>
														<field-errors
															field="start"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.end | dateFormat : 'DD/MM/YYYY'}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="end"
															class="form-control input-sm"
															autocomplete="off"
															input-mask="qdate"
															ng-model="self.editedLineFields.end"
														/>
														<field-errors field="end" errors="self.editedLineErrors"></field-errors>
													</span>
												</td>
                                                <td>
                                                    <span ng-show="self.editedLine !== convention">
														<span ng-repeat="project in convention.members">
                                                            {{project.name}}
                                                        </span>
													</span>
                                                </td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.decisionDate | dateFormat : 'DD/MM/YYYY'}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="decisionDate"
															class="form-control input-sm"
															autocomplete="off"
															input-mask="qdate"
															ng-model="self.editedLineFields.decisionDate"
														/>
														<field-errors
															field="decisionDate"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.notificationDate | dateFormat : 'DD/MM/YYYY'}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="notificationDate"
															class="form-control input-sm"
															autocomplete="off"
															input-mask="qdate"
															ng-model="self.editedLineFields.notificationDate"
														/>
														<field-errors
															field="notificationDate"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable">
													<span ng-show="self.editedLine !== convention">
														{{convention.returnDate | dateFormat : 'DD/MM/YYYY'}}
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="returnDate"
															class="form-control input-sm"
															autocomplete="off"
															input-mask="qdate"
															ng-model="self.editedLineFields.returnDate"
														/>
														<field-errors
															field="returnDate"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<?php
												if ($this->module()->isActive('keyword')) {
													foreach ($this->groups as $group) {
														echo '<td class="editable">';
														echo '<span class="comma-separated" ng-show="self.editedLine !== convention">';
														echo '<span ng-repeat="keyword in convention.keywords[' . $group->getId() . ']">{{keyword.name}}</span>';
														echo $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']);
														echo '</span>';
														echo '<span ng-if="self.editedLine == convention">';
														echo '<keyword-select ng-model="self.editedLineFields.keywords[' . $group->getId() . ']" multiple="' . ($group->isMultiple() ? 'true' : 'false') . '" configuration="{ service : { apiParams : { search: { data: { filters: { group : { op: \'eq\', val: ' . $group->getId() . ' } } } } } } }" form="indicatorForm"></keyword-select>';
														echo '</span>';
														echo '</td>';
													}
												}
												?>
												<td class="editable text-right">
													<span ng-show="self.editedLine !== convention && convention.id != 'total'">
														<div class="progress">
															<div
																class="progress-bar"
																ng-style="{ width: convention.progress + '%' }"
															>
																{{convention.progress}} %
															</div>
														</div>
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															name="progress"
															class="form-control"
															autocomplete="off"
															input-mask="integer"
															ng-model="self.editedLineFields.progress"
														/>
														<field-errors
															field="progress"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable text-right">
													<span ng-show="self.editedLine !== convention">
														{{convention.amount | currency : ''}} €
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															class="form-control input-sm"
															ng-model="self.editedLineFields.amount"
															input-mask="decimal"
														/>
														<field-errors
															field="amount"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="editable text-right">
													<span ng-show="self.editedLine !== convention">
														{{convention.amountSubv | currency : ''}} €
														<?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(convention)', 'ng-if' => 'convention._rights.update']) ?>
													</span>
													<span ng-if="self.editedLine == convention">
														<input
															type="text"
															class="form-control input-sm"
															ng-model="self.editedLineFields.amountSubv"
															input-mask="decimal"
														/>
														<field-errors
															field="amountSubv"
															errors="self.editedLineErrors"
														></field-errors>
													</span>
												</td>
												<td class="text-right">
													{{convention.partTotalProjects | currency : ''}} €
												</td>
												<td class="text-right">
													{{convention.timeSpent}} h.
												</td>
												<td class="text-right">
													{{convention.autofinancement | currency : ''}} €
												</td>
												<?php foreach ($this->expenseTypes() as $type): ?>
													<td class="text-right">
														{{convention.amountExpense<?= ucfirst($type) ?> | currency : ''}} €
													</td>

													<?php if ($budgetHTEnabled): ?>
														<td class="text-right">
															{{convention.amountHTExpense<?= ucfirst($type) ?> | currency : ''}} €
														</td>
													<?php endif ?>
												<?php endforeach ?>
												
												<td>{{convention.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
												<td>{{convention.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>

												<td>
													<div
														class="btn-group btn-group-actions"
														ng-if="self.editedLine !== convention"
													>
														<?php if ($this->acl()->isAllowed('convention:e:convention:r')) : ?>
															<a
																ng-if="convention._rights.read"
																href="<?= $this->url('convention/form') ?>/{{convention.id}}"
																class="btn btn-xs btn-default"
																tooltip="<?= $this->translate('tooltip_edit') ?>"
															>
																<?= $this->icon('edit') ?>
															</a>
														<?php endif; ?>
                                                        <?php if ($this->acl()->isAllowed('convention:e:convention:d')) : ?>
                                                            <a ng-if="convention._rights.read"
                                                               class="btn btn-xs btn-default"
                                                               ng-click="self.duplicate(convention, true)"
                                                               tooltip="<?= $this->translate('tooltip_copy') ?>"
                                                            >
                                                                <?= $this->icon('duplicate') ?>
                                                            </a>
                                                        <?php endif; ?>
														<?php if ($this->acl()->isAllowed('convention:e:convention:d')) : ?>
															<a
																ng-if="convention._rights.delete"
																href=""
																class="btn btn-xs btn-default"
																tooltip="<?= $this->translate('tooltip_delete') ?>"
																ng-click="self.deleteConvention(convention)"
															>
																<?= $this->icon('delete') ?>
															</a>
														<?php endif; ?>
													</div>
													<div
														class="btn-group btn-group-actions"
														ng-if="self.editedLine == convention"
													>
														<button
															class="btn btn-xs btn-default"
															ng-click="self.saveEditedLine(convention)"
															type="submit"
															tooltip="<?= $this->translate('tooltip_save') ?>"
														>
															<?= $this->icon('save') ?>
														</button>
														<button
															class="btn btn-xs btn-default"
															ng-click="self.editedLine = null"
															type="button"
															tooltip="<?= $this->translate('tooltip_cancel') ?>"
														>
															<?= $this->icon('close') ?>
														</button>
													</div>
												</td>
											</tr>
										</tbody>
									</table>
								</form>
							</div>
						</div>
					</div>
				</table-builder>
			</div>
		</div>
	</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('convention:e:convention:c')) {
	$fabLinks[] = [
		'href' => $this->url('convention/form'),
		'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('convention_nav_form'),
	];
	$fabLinks[] = [
		'href' => $this->url('import', ['entity' => 'convention']),
		'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('convention_nav_import'),
	];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');
$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/service/group.js');

$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/service/territory.js');

$this->angular('js/src/user/directive/userSelect.js');
$this->angular('js/src/user/service/user.js');

$this->angular('js/src/convention/service/convention.js');
$this->angular('js/src/convention/service/line.js');
$this->angular('js/src/application/query/service/query.js');
$this->angular('js/src/directory/service/structure.js');
$this->angular('js/src/directory/directive/structureSelect.js');

$this->angular('js/src/convention/controller/convention/list.js');
